=== debian/changelog ===
ucommon (7.0.0-19) unstable; urgency=medium

  * Team Upload
  * Fix yet another optional symbol
  * Drop -dbgsym migration from before oldstable

 -- Bernhard Schmidt <berni@debian.org>  Tue, 08 Dec 2020 22:46:41 +0100

ucommon (7.0.0-18) unstable; urgency=medium

  * Team Upload
  * Mark new symbol optional (missing on arm*) (Closes: #976824)
  * Update d/watch

 -- Bernhard Schmidt <berni@debian.org>  Tue, 08 Dec 2020 20:29:03 +0100

ucommon (7.0.0-17) unstable; urgency=medium

  * Team Upload
  * Use C++ filter for new symbol

  [ Bastian Germann ]
  * Add missing symbol (Closes: #957895)

  [ Matthias Klose ]
  * Mark one more symbol optional, not present when built with -O3
    (Closes: #923639)

 -- Bernhard Schmidt <berni@debian.org>  Mon, 07 Dec 2020 14:17:32 +0100

ucommon (7.0.0-16) unstable; urgency=medium

  * Team Upload
  * Mark one symbol as optional, fix FTBFS on some architectures

 -- Bernhard Schmidt <berni@debian.org>  Wed, 19 Dec 2018 23:33:47 +0100

ucommon (7.0.0-15) unstable; urgency=medium

  * Team Upload
  * Add missing symbols for newer toolchain (Closes: #913397)

 -- Bernhard Schmidt <berni@debian.org>  Wed, 19 Dec 2018 22:23:54 +0100

ucommon (7.0.0-14) unstable; urgency=medium

  * Team Upload

  [ Adrian Bunk ]
  * Fix FTBFS on some arches due to a missing symbol (Closes: #897878)

 -- Bernhard Schmidt <berni@debian.org>  Mon, 13 Aug 2018 22:47:44 +0200

ucommon (7.0.0-13) unstable; urgency=medium

  * Team Upload

  [ Adrian Bunk ]
  * Fix symbols for gcc 8. (Closes: #897878)
  * Fix symbols for ia64 and riscv64. (Closes: #898502)

  [ Bernhard Schmidt ]
  * Update Vcs-* to salsa

 -- Bernhard Schmidt <berni@debian.org>  Sun, 12 Aug 2018 23:54:01 +0200

ucommon (7.0.0-12) unstable; urgency=medium

  * Add copyright-check maintainer script to source.
    Revive and update copyright_hints.
  * Update copyright info:
    + Drop superfluous copyright signs.
    + Use SPDX License shortname FSFULLR (and derived forms).
    + Drop superfluous disclaimers.
    + Extend coverage for myself.
  * Tighten lintian overrides regarding License-Reference.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 08 Sep 2017 11:21:56 +0200

ucommon (7.0.0-11) unstable; urgency=medium

  * Remove symbols missing with GCC 7

 -- Peter Colberg <peter@colberg.org>  Sun, 20 Aug 2017 11:18:07 -0400

ucommon (7.0.0-10) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * Update upstream source URLs.
  * Have git-buildpackage config filter any .git* file.
  * Drop Bug field from DEP3 header of patch 1001.
    Apparently upstream didn't preserve old issues when moving Github account.

  [ Peter Colberg ]
  * Update symbols for GCC 7 (Closes: #853691)
  * Use https for copyright-format URL
  * Update Standards-Version to 4.0.0

 -- Peter Colberg <peter@colberg.org>  Sat, 19 Aug 2017 11:23:43 -0400

ucommon (7.0.0-9) unstable; urgency=medium

  * Avoid compilation of libraries and tests for arch-independent builds

 -- Peter Colberg <peter@colberg.org>  Sat, 29 Oct 2016 08:08:53 -0400

ucommon (7.0.0-8) unstable; urgency=medium

  * Fix missing symbols on powerpcspe
  * Fix missing symbols on sh4

 -- Peter Colberg <peter@colberg.org>  Fri, 28 Oct 2016 22:20:14 -0400

ucommon (7.0.0-7) unstable; urgency=medium

  * Upload to unstable (Closes: #831211)
  * Fix mismatching symbols on kfreebsd-i386

 -- Peter Colberg <peter@colberg.org>  Wed, 26 Oct 2016 22:14:12 -0400

ucommon (7.0.0-7~exp4) experimental; urgency=medium

  * Use arch-bits symbol tag instead of non-standard subst tag
  * Restore arch-specific symbols for variadic functions
  * Fix mismatching symbols on x32
  * Fix mismatching symbols on hurd-i386
  * Build with all hardening flags
  * Link with -Wl,--as-needed to avoid useless library dependencies
  * Always fail in case of mismatching symbols

 -- Peter Colberg <peter@colberg.org>  Tue, 25 Oct 2016 23:06:24 -0400

ucommon (7.0.0-7~exp3) experimental; urgency=medium

  * Switch from CDBS to dh
  * Build depend on graphviz for arch-independent builds only
  * Add dependency on libjs-jquery to ucommon-doc
  * Bump debhelper compat level to 10
  * Replace -dbg package with automatic -dbgsym package
  * Build with bindnow hardening flag
  * Substitute arch-dependent size_t in symbols file
  * Exclude useless autogenerated doxygen files
  * Register HTML documentation with doc-base
  * Fix spelling mistakes found by lintian
  * Use /git/ instead of /cgit/ in Vcs-Browser field
  * Add myself to Uploaders

 -- Peter Colberg <peter@colberg.org>  Sat, 22 Oct 2016 23:22:27 -0400

ucommon (7.0.0-7~exp2) experimental; urgency=medium

  * Temporarily stop build-depend on licensecheck.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Sep 2016 22:39:44 +0200

ucommon (7.0.0-7~exp1) experimental; urgency=medium

  * Relax symbols check when targeting experimental.
  * Have CDBS resolve Debian suite.
    Stop build-depend on recent dpkg-dev.
  * Modernize CDBS: Build-depend on license-check (not devscripts).
  * De-mangle, sort, and deduplicate symbols.
  * Reset arch and subst symbol tags (apparently g++6 transition
    confuses pkgkde-sysmbolshelper).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Sep 2016 19:37:24 +0200

ucommon (7.0.0-6) unstable; urgency=medium

  * Use dh-autoreconf (not cdbs) to regenerate autotools.
    Closes: Bug#826391. Thanks to Chris Lamb.
  * Update package relations:
    + Build-depend on dh-autoreconf.
    + Stop (explicitly) build-depend on libtool automake autoconf.
    + Relax build-dependency on cdbs.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 08 Jun 2016 20:58:45 +0200

ucommon (7.0.0-5) unstable; urgency=medium

  * Update Vcs-* fields: Packaging has moved to Debian VoIP team.
  * Update symbols file.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 21 Apr 2016 10:39:37 +0200

ucommon (7.0.0-4) unstable; urgency=medium

  * Update symbols file.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 14 Apr 2016 10:50:18 +0200

ucommon (7.0.0-3) experimental; urgency=medium


