=== debian/control ===
Source: ucommon
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>, Peter Colberg <peter@colberg.org>
Build-Depends: debhelper (>= 10),
               dpkg-dev (>= 1.18.0~),
               libgnutls28-dev,
               pkg-config
Build-Depends-Indep: doxygen-latex, graphviz
Standards-Version: 4.0.0
Section: net
Homepage: http://www.gnu.org/software/commoncpp/
Vcs-Git: https://salsa.debian.org/pkg-voip-team/ucommon.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/ucommon

Package: libucommon-dev
Section: libdevel
Architecture: any
Depends: libgnutls28-dev, libucommon8 (= ${binary:Version}), ${misc:Depends}
Recommends: pkg-config
Suggests: ucommon-doc
Description: lightweight C++ threading and sockets - development files
 GNU uCommon C++ is a lightweight library to facilitate using C++ design
 patterns even for very deeply embedded applications, such as for
 systems using uClibc along with POSIX threading support. For this
 reason, uCommon disables language features that consume memory or
 introduce runtime overhead. uCommon introduces some design patterns
 from Objective-C, such as reference counted objects, memory pools, and
 smart pointers.  uCommon introduces some new concepts for handling of
 thread locking and synchronization.
 .
 This package contains the development headers and static libraries.

Package: libucommon8
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: ucommon-utils
Conflicts: libucommon7
Replaces: libucommon7
Description: lightweight C++ threading and sockets - shared libraries
 GNU uCommon C++ is a lightweight library to facilitate using C++ design
 patterns even for very deeply embedded applications, such as for
 systems using uClibc along with POSIX threading support. For this
 reason, uCommon disables language features that consume memory or
 introduce runtime overhead. uCommon introduces some design patterns
 from Objective-C, such as reference counted objects, memory pools, and
 smart pointers.  uCommon introduces some new concepts for handling of
 thread locking and synchronization.
 .
 This package contains the shared libraries.

Package: ucommon-utils
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: lightweight C++ threading and sockets - utilities
 GNU uCommon C++ is a lightweight library to facilitate using C++ design
 patterns even for very deeply embedded applications, such as for
 systems using uClibc along with POSIX threading support. For this
 reason, uCommon disables language features that consume memory or
 introduce runtime overhead. uCommon introduces some design patterns
 from Objective-C, such as reference counted objects, memory pools, and
 smart pointers.  uCommon introduces some new concepts for handling of
 thread locking and synchronization.
 .
 This package contains the following utilities included as part of the
 GNU uCommon C++ project:
  * args
  * car
  * keywait
  * mdsum
  * scrub
  * sockaddr
  * zerofill

Package: ucommon-doc
Section: doc
Architecture: all
Depends: libjs-jquery, ${misc:Depends}
Description: lightweight C++ threading and sockets - documentation
 GNU uCommon C++ is a lightweight library to facilitate using C++ design
 patterns even for very deeply embedded applications, such as for
 systems using uClibc along with POSIX threading support. For this
 reason, uCommon disables language features that consume memory or
 introduce runtime overhead. uCommon introduces some design patterns
 from Objective-C, such as reference counted objects, memory pools, and
 smart pointers.  uCommon introduces some new concepts for handling of
 thread locking and synchronization.
 .
 This package contains the API documentation.
