=== debian/rules ===
#!/usr/bin/make -f

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# Avoid useless library dependencies
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
# Always fail in case of mismatching symbols
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

# Strip bad pkg-config directives
override_dh_auto_configure:
	dh_auto_configure
	perl -i -pe 's/\s+-[fW]\S+//g' *.pc

override_dh_auto_build-indep:
	$(MAKE) doxy

override_dh_auto_test-indep:

override_dh_auto_install-indep:

override_dh_installdocs:
	dh_installdocs --exclude=.map --exclude=.md5
