=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
https://mirrors.kernel.org/gnu/commoncpp/ \
 @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian
