## ucommon 7.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Copyright (C) 2009-2014 David Sugar, Tycho Softworks
-# Copyright (C) 2015 Cherokees of Idaho.
+# Copyright (C) 2015-2020 Cherokees of Idaho.
 #
 # This file is free software; as a special exception the author gives
 # unlimited permission to copy and/or distribute it, with or without
@@ -17,14 +17,10 @@
 # meant for generating project files for those working with IDE's to do
 # otherwise generic builds of the library and supporting applications.
 
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 3.12)
 PROJECT(ucommon)
-set (VERSION 7.0.0)
-
-if(BIICODE)
-    include(dyfet/ucommon/cmake/biicode)
-    return()
-endif()
+set (VERSION 7.0.1)
+set (CMAKE_MACOSX_RPATH 1)
 
 # when we override default install prefix, assume full path is used...
 
@@ -68,6 +64,19 @@
 include(CapeMakeTargets)
 include(ucommon)
 include(config)
+
+# some platform detection support, especially for bsd's...
+
+if(NOT DEFINED CMAKE_TOOLCHAIN_FILE)
+    if(EXISTS "/usr/local/lib/")
+        include_directories("/usr/local/include")
+        link_directories("/usr/local/lib")
+    endif()
+    if(EXISTS "/usr/pkg/lib/")
+        include_directories("/usr/pkg/include")
+        link_directories("/usr/pkg/lib")
+    endif()
+endif()
 
 # we are making this optional in automake, not default...
 
@@ -169,7 +178,6 @@
 create_specfile()
 create_headers(ucommon-config.h)
 create_scripts(scripts_cfg ucommon-config commoncpp-config)
-create_scripts(localscripts PKGBUILD)
 create_pcfiles(pc_files ucommon commoncpp)
 
 add_library(ucommon ${BUILD_RUNTIME_TYPE} ${common_src} ${ucommon_inc})
@@ -210,8 +218,16 @@
 
 install(TARGETS ucommon usecure DESTINATION ${CMAKE_INSTALL_LIBDIR})
 
-# cmake std targets not used; dist made on automake...
-#add_cape_make_targets(ucommon ${VERSION})
-add_make_lint_target()
+# Common tarball distribution
+if(EXISTS ".git/")
+    add_custom_target(dist
+        WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
+        COMMAND "${CMAKE_COMMAND}" -E remove -F "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-*.tar.gz"
+        COMMAND git archive -o "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-${VERSION}.tar.gz" --format tar.gz --prefix="${PROJECT_NAME}-${VERSION}/" "v${VERSION}" 2>/dev/null || git archive -o "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-${VERSION}.tar.gz" --format tar.gz --prefix="${PROJECT_NAME}-${VERSION}/" HEAD
+    )
+endif()
+
+add_cape_make_targets(ucommon ${VERSION})
+#add_make_lint_target()
 add_cape_docs_target(Doxyfile)
-add_make_uninstall_target()
+#add_make_uninstall_target()
