=== debian/changelog ===
ucommon (7.0.1-1) unstable; urgency=medium

  * Team upload
  * Move to debhelper-compat
  * Add missing symbol (Closes: #1115758)
  * pkg-config -> pkgconf
  * Drop unnecessary lintian override

 -- Bastian Germann <bage@debian.org>  Fri, 17 Oct 2025 19:36:24 +0200

ucommon (7.0.1-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Update symbols file to fix a i386 regression (subst missing support on
    dpkg side (Closes: #1081107, Closes: #1068887)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Sep 2024 15:32:10 +0200

ucommon (7.0.1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Update symbols for 64-bit time_t

 -- Steve Langasek <vorlon@debian.org>  Mon, 18 Mar 2024 05:22:48 +0000

ucommon (7.0.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062999

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 19:59:51 +0000

ucommon (7.0.1-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version 7.0.1 (Closes: #984373, #1005770)
  * update copyright info: URLs, years
  * drop all patches (applied upstream)
  * add one optional c++ symbol

 -- Bastian Germann <bage@debian.org>  Sat, 09 Apr 2022 02:13:50 +0200

ucommon (7.0.0-20) unstable; urgency=medium

  * team upload

  [ Jonas Smedegaard ]
  * remove myself as uploader
  * simplify source helper script copyright-check
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + use License-Grant
    + update coverage
  * work around FTPFS with g++ 11 by setting CXXFLAG -std=c++14
    (see bug#984373)

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Nov 2021 18:27:33 +0100
