=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: ucommon
 Priority: optional
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
-Uploaders: Jonas Smedegaard <dr@jones.dk>, Peter Colberg <peter@colberg.org>
-Build-Depends: debhelper (>= 10),
-               dpkg-dev (>= 1.18.0~),
+Uploaders: Peter Colberg <peter@colberg.org>
+Build-Depends: dpkg-dev (>= 1.22.5),
+               debhelper-compat (= 12),
                libgnutls28-dev,
-               pkg-config
+               pkgconf
 Build-Depends-Indep: doxygen-latex, graphviz
 Standards-Version: 4.0.0
 Section: net
@@ -16,8 +16,7 @@
 Package: libucommon-dev
 Section: libdevel
 Architecture: any
-Depends: libgnutls28-dev, libucommon8 (= ${binary:Version}), ${misc:Depends}
-Recommends: pkg-config
+Depends: libgnutls28-dev, libucommon8t64 (= ${binary:Version}), ${misc:Depends}
 Suggests: ucommon-doc
 Description: lightweight C++ threading and sockets - development files
  GNU uCommon C++ is a lightweight library to facilitate using C++ design
@@ -31,14 +30,16 @@
  .
  This package contains the development headers and static libraries.
 
-Package: libucommon8
+Package: libucommon8t64
+Provides: ${t64:Provides}
+Breaks: libucommon8 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: ucommon-utils
 Conflicts: libucommon7
-Replaces: libucommon7
+Replaces: libucommon8, libucommon7
 Description: lightweight C++ threading and sockets - shared libraries
  GNU uCommon C++ is a lightweight library to facilitate using C++ design
  patterns even for very deeply embedded applications, such as for
