=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,9 @@
 
 # Enable hardening build flags
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-# Avoid useless library dependencies
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
-# Always fail in case of mismatching symbols
-export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
+
+# TODO: patch code to support C++17 (see bug#984373)
+export DEB_CXXFLAGS_MAINT_APPEND = -std=c++14
 
 %:
 	dh $@
